init.c File Reference
`#include "ruby.h"`

Go to the source code of this file.

## Macros

#define | init(n) {void Init_##n(VALUE klass); Init_##n(klass);}

## Functions

void | Init_string (void)

## Macro Definition Documentation

#define init | ( |  | n | ) | {void Init_##n(VALUE klass); Init_##n(klass);}

Definition at line 3 of file init.c.

Referenced by Init_string(), ruby_init_ext(), and vm_backtrace_each().

## Function Documentation

void Init_string | ( | void |  | ) |

Definition at line 6 of file init.c.

References init, rb_cString, rb_define_class_under(), rb_define_module(), and TEST_INIT_FUNCS.